# Get rep activities by day chart `GET` `/api/v1/crm-connections/{crm_connection_id}/bookbuilder/reps/{rep_id}/charts/activities-by-day` Returns a per-day count of completed activities (tasks and events) for the rep over the requested date window, in the running user's timezone. Days with zero activity are gap-filled. The ``scope`` query param filters to activity on all accounts (default), the rep's on-book accounts, or off-book accounts. ## Path parameters | Name | Type | Required | Description | |------|------|----------|-------------| | crm_connection_id | string | yes | UUID of the CRM connection | | rep_id | string | yes | Salesforce User ID of the rep | ## Query parameters | Name | Type | Required | Description | |------|------|----------|-------------| | start_date | string | yes | Start of the date window (inclusive), formatted as YYYY-MM-DD. | | end_date | string | yes | End of the date window (inclusive), formatted as YYYY-MM-DD. | | scope | string | no | Filter to activities on accounts in the rep's book. | | hierarchy_rollup_enabled | string | no | When true, expands chart data to include child-account activity via the org's configured account hierarchy. Returns 400 if account hierarchy is not configured in the Salesforce org. | ## Response `200 OK` — `application/json` | Field | Type | Description | |-------|------|-------------| | chart | string | Chart identifier (e.g. activities-by-day) | | start_date | string | — | | end_date | string | — | | data | object | Map of YYYY-MM-DD → count for that day. Days with zero activity are gap-filled with 0. | ## Errors | Status | Description | |--------|-------------| | 400 | Bad Request | | 403 | Forbidden | | 404 | Not Found | | 422 | Unprocessable Entity | | 502 | Bad Gateway |